<?php use_helper('UrlFunctions'); ?>
<script>
findControl = function(){
  
  concatValueStr();
  
}

exportFindControl = function(action){
  strFormSerialize = returnQueryStringForm();
  executeFind(strFormSerialize, action);
}

executeFind = function(str, action){
  if(typeof(action) == 'undefined'){
	  url = "<?=buildUrl('rep/grid_gen', "block=".$block)?>";
	}else{
	  switch (action){
	    case 'excel': parent.objMainTab.reqBody('<?=buildUrl('rep/excel')?>','001&'+str); break;
	    case 'pdf': parent.objMainTab.reqBody('<?=buildUrl('rep/pdf')?>','001&'+str); break;	    
	  }
	  
	  return;
	}
  //str = str + '&block=001';
  url = "<?=buildUrl('rep/grid_gen', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
                                	"resultGrtid",
                                	url,
                                	{
                                		asynchronous:	true,
                                		method			: 'get',
                                		parameters	: str,
                                		evalScripts	: true,
                                		onLoading   : cargandoImagenSerch(),
                                		onComplete	: function(){
                                			//objMainTab.showMenu();
                                		}
                                	});
}

concatValueStr = function(){
  strFormSerialize = returnQueryStringForm();
  if(arguments[0]){
    strFormSerialize += '&'+arguments[0];
  }
  executeFind(strFormSerialize);
}

function returnQueryStringForm(){
  cadenaFormulario = $('form1').serialize();
             var posicion = new Array();
             var a_pars = new Array();
             var miArray = new Array();
             posicion=[];
             a_pars=[];
             miArray=[];
             miArray = cadenaFormulario.split('&');
             x=0;
             for (i = 0; i < miArray.length; i++){
            	   posicion[i] = miArray[i].indexOf('=');
            	   if(typeof(miArray[i-1])!='undefined'){
            				if(miArray[i].substring(posicion[i],0)== miArray[i-1].substring(posicion[i-1],0) ){
           					 porcion = miArray[i].substring((1+posicion[i]));
           					 a_pars[x-1]+='@'+porcion;
           				}else{
          					 a_pars[x]= miArray[i];
         					 x++;
          				}
          		}else{
          			 a_pars[x]= miArray[i];
          			  x++;
          		}
           }
  cadenaFormulario = a_pars.join('&');
  cadenaFormulario += '&id_form=frmFindFedu';
  return(cadenaFormulario);
}

function cargandoImagenSerch(){
	//disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

</script>
<script>
findControl = function(){
  
  var pars = $('form1').serialize();
  
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
  
	url = "<?=buildUrl('rep/grid_gen', "block=".$block)?>";
	var myAjax  = new Ajax.Updater(
	"resultGrtid",
	url,
	{
		asynchronous:	true,
		method			: 'get',
		parameters	: pars,
		evalScripts	: true,
		onLoading		: function(){
			//$('contentMenu').innerHTML = $('messageLoadMenu').innerHTML;
		},
		onComplete	: function(){
			//objMainTab.showMenu();
		}
	});
  
}

deleteRegistro = function(id){
  //buildUrl('rep/delete/id/'block=001'
  if(confirm("żEsta seguro de eliminar la ficha del Empledo con Id : "+id+ " ?")){
      //objMainTab.reqBody('<? //=buildUrl('rep/add')?>','block=001&delete=1&id='+id);   
      parent.objMainTab.reqBody('<?=buildUrl('rep/delete')?>','&delete=1&cod=jj&id='+id);
  }
  
}

acutalizarMercado = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getMercado&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    $('cboRepresentante').length = 1;
}

</script>
<script>
acutalizarRepresentante = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getRepresentanteUser&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>

<?php
//Facultades

$o_ColaboradorSystemClass = new ColaboradorSystemClass(new TipoColaboradorRolBean());
$a_TipoColaboradorRol = $o_ColaboradorSystemClass->getTipoColaboradorRolAll();
 


$o_SucursalBean = new SucursalBean();
$o_SucursalBL = new SucursalBL();
$a_Sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);

?>

<img src="/images/common/spacer.gif" width="10">
<table class="cuerpo" style="background: #E3E9E2" width="99%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td valign="top">
      <form name="form1" id="form1" method="POST">
      <input type="hidden" name="IdColaborador"  id="IdColaborador">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody"><li>&nbsp;&nbsp;Lista de Empleado</li></td>
          <td align="right" valign="baseline">
            <img name="add" src="/images/common/buttons/btnAdd.gif" title="Ingreso Empleado" onClick="parent.objMainTab.modalDialog('<?=buildUrl('rep/add')?>','001')" style="cursor:pointer">
            <img src="/images/common/buttons/btnExcel.gif" title="Exportar a Excel" onClick="exportFindControl('excel');" style="cursor:pointer"/>
            <img src="/images/common/buttons/btnPdf.gif" title="Exportar a PDF" onClick="exportFindControl('pdf');" style="cursor:pointer"/>
          </td>
        </tr>
      </table>
      <table class="marco" width="100%">
        <tr>
          <td align="center" valign="top">
            <table width="100%" border="0" cellspacing="0" cellpadding="0">
               
              <tr>
                <td width="100%" valign="top">
                  <table class="SubCabecera" width="65%" border="0" cellpadding="0" cellspacing="2">
                    <tr>
		                <td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Sucursal</label></td>
		                <td width="10%" nowrap="nowrap">
		                      	 <select name="cboSucursal" id="cboSucursal" type="text" class="combo" onchange="acutalizarMercado('cboMercado',this);"/> 
					 	            <option value="" > - Seleccionar - </option>
			                        <?php foreach ($a_Sucursal as $iKey => $o_SucursalBean){ ?>
			                        <option value="<?=$o_SucursalBean->getIdSucursal()?>">
			                          <?=$o_SucursalBean->getDescripcion()?>
			                        </option>
			                        <?php } ?> 
				              </select>
		               	</td>
		               	<td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Mercado</label></td>
		                <td width="10%" nowrap="nowrap">
		                      	 <select name="cboMercado" id="cboMercado" type="text" class="combo"  onchange="acutalizarRepresentante('cboRepresentante',this);"/> 
					 	            <option value="" > - Seleccionar - </option>
				                </select>
		               	</td>
						<td width="12%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Representante</label></td>
		                <td width="10%" nowrap="nowrap">
		                  	 <select name="cboRepresentante" id="cboRepresentante" type="text" class="combo"/> 
		                  	 	<option value="" > - Seleccionar - </option>
			                </select>
		           	  </td>
		           	 
		            </tr>
                    <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtDni">DNI</label></td>
                      <td width="80%" nowrap="nowrap" align="left"><input name="Dni" id="Dni"" type="text" class="text" maxlength="8" size="8"/></td>
                      <td width="80%" nowrap="nowrap">
          			    <select name="cboTipoNombre" id="cboTipoNombre" type="text" class="combo"> 
							<option value="AP" > - Apellido Paterno- </option>
							<option value="AM" > - Apellido Materno- </option>
							<option value="NO" > - Nombres- </option>
		                 </select>
                      </td>
					  <td width="80%" nowrap="nowrap"><input name="Nombres" id="Nombres" type="text"  size="35" class="text"/></td>
                    </tr>
                   <tr>
                      <td width="15%" height="26" nowrap="nowrap" class="cabecera"><label class="label" for="txtNombre">Tipo Empleado</label></td>
                      <td width="80%" nowrap="nowrap">
                      <select name="cboIdRol" id="cboIdRol" type="text" class="combo" onchange="acutalizarEspecialidad('cboEspecialidad',this)"/> 
                      <option value="" > - Seleccionar - </option>
                       <?php foreach ($a_TipoColaboradorRol as $iKey => $o_TipoColaboradorRolBean){ ?>
                        <option value="<?=$o_TipoColaboradorRolBean->getIdRol()?>">
                          <?=$o_TipoColaboradorRolBean->getDescripcion()?>
                        </option>
                        <?php } ?>
                      </select></td>
                      
                    </tr>
					<tr>
			    		<td align="right" style="vertical-align:top" colspan="5"><input class="button" type="button" value="Buscar" onclick="findControl();"/></td>
			 		 </tr>
			 		 
                  </table>
                </td>
            </table>
          </td>
        </tr>
      </table>
      </form>
      <div id="resultGrtid">
      </div>
    </td>
  </tr>
</table>


<?php
if(isset($insert)){
  ?>
  <script>
    elementLoad.show(undefined,"Se inserto la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdColaborador').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('IdRol').value = "<?=$cboIdRol?>";
    $('Nombres').value = "<?=$Nombres?>";
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($update)){
  ?>
  <script>
    elementLoad.show(undefined,"Se actualizo la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdColaborador').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('IdRol').value = "<?=$cboIdRol?>";
    $('Nombres').value = "<?=$Nombres?>";
     /*if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php
}
if(isset($delete)){
  ?>
  <script>
    elementLoad.show(undefined,"Se elimino la ficha satisfactoriamente.");
    setTimeout("elementLoad.hide()",5000);
    $('IdColaborador').value = "<?=$id?>";
    $('Dni').value = "<?=$Dni?>";
    $('IdRol').value = "<?=$cboIdRol?>";
    $('Nombres').value = "<?=$Nombres?>";
    /* if ('cboNombres'= 'ApellidoPaterno'){
        $('ApellidoPaterno').value = "<?=$txtNombre?>";
     }else{
        $('Nombres').value = "<?=$txtNombre?>";  
     }*/
    findControl();
  </script>
  <?php 
  
}
?>